curl --request POST \
--url https://eu.phrase.com/connectors/optimizely/v1/sync/convert-to-xliff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rawFiles": [
{
"storageId": "e48eda63928c4155bez9fdbsaadc15f3",
"info": {
"name": "item-12345.json"
}
}
],
"sourceLocale": "en"
}
'import requests
url = "https://eu.phrase.com/connectors/optimizely/v1/sync/convert-to-xliff"
payload = {
"rawFiles": [
{
"storageId": "e48eda63928c4155bez9fdbsaadc15f3",
"info": { "name": "item-12345.json" }
}
],
"sourceLocale": "en"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rawFiles: [
{storageId: 'e48eda63928c4155bez9fdbsaadc15f3', info: {name: 'item-12345.json'}}
],
sourceLocale: 'en'
})
};
fetch('https://eu.phrase.com/connectors/optimizely/v1/sync/convert-to-xliff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"storageId": "e48eda63928c4155bez9fdbsaadc15f3"
}{
"problemDetail": {
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"properties": {}
}
}Convert stored raw Optimizely content to XLIFF synchronously
Convert raw Optimizely content already in Phrase file storage to XLIFF 2.0, without
re-downloading from Optimizely. Each entry in rawFiles references a stored file
(storageId) plus the metadata the connector needs to segment correctly.
Use this when you have a snapshot from download-raw-file and want to defer the
conversion step (e.g. to apply custom pre-processing first).
Authorizations
IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer
Headers
A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.
Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.
ID, OBJECT Body
Request body for converting already-stored raw Optimizely content into XLIFF 2.0 without re-downloading from Optimizely.
Response
OK — JSON storageId envelope (returned when X-ResponseType=ID).
Was this page helpful?